<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>ARRadarProperties (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ARRadarProperties (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARRadarProperties.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/ARRadarItem.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/CompositeFragment.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/ARRadarProperties.html" target="_top">Frames</a></li>
<li><a href="ARRadarProperties.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.ar</div>
<h2 title="Class ARRadarProperties" class="title">Class ARRadarProperties</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.ar.ARRadarProperties</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ARRadarProperties</span>
extends java.lang.Object</pre>
<div class="block">Represents a model class comprising the radar properties such as the visible area details and
 radar items. Each radar item corresponds to one of the <a href="../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>s added to the ARController. In
 order to get the radar properties, the client must register a listener using
 <a href="../../../../../com/here/android/mpa/ar/ARController.html#addOnRadarUpdateListener-com.here.android.mpa.ar.ARController.OnRadarUpdateListener-"><code>ARController.addOnRadarUpdateListener(ARController.OnRadarUpdateListener)</code></a>}.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARRadarProperties.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object obj)</code> </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARRadarProperties.html#getAngle--">getAngle</a></span>()</code>
<div class="block">Get the heading (rotation on Y axis) in degrees.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARRadarProperties.html#getBackPlaneStart--">getBackPlaneStart</a></span>()</code>
<div class="block">Return the z in meters at which the back plane starts.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARRadarProperties.html#getDimmingLimit--">getDimmingLimit</a></span>()</code>
<div class="block">Return the z limit in meters.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARRadarProperties.html#getFrontPlaneEnd--">getFrontPlaneEnd</a></span>()</code>
<div class="block">Return the z in meters at which the front plane ends.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARRadarProperties.html#getFrontPlaneStart--">getFrontPlaneStart</a></span>()</code>
<div class="block">Return the z in meters at which the front plane starts.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/ar/ARRadarItem.html" title="class in com.here.android.mpa.ar">ARRadarItem</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARRadarProperties.html#getItems--">getItems</a></span>()</code>
<div class="block">Returns the list of radar items.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARRadarProperties.html#hashCode--">hashCode</a></span>()</code> </td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAngle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAngle</h4>
<pre>public double getAngle()</pre>
<div class="block">Get the heading (rotation on Y axis) in degrees.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The heading (rotation on Y axis) in degrees.</dd>
</dl>
</li>
</ul>
<a name="getFrontPlaneStart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFrontPlaneStart</h4>
<pre>public float getFrontPlaneStart()</pre>
<div class="block">Return the z in meters at which the front plane starts.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The z in meters at which the front plane starts.</dd>
</dl>
</li>
</ul>
<a name="getFrontPlaneEnd--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFrontPlaneEnd</h4>
<pre>public float getFrontPlaneEnd()</pre>
<div class="block">Return the z in meters at which the front plane ends.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The z in meters at which the front plane ends.</dd>
</dl>
</li>
</ul>
<a name="getDimmingLimit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDimmingLimit</h4>
<pre>public float getDimmingLimit()</pre>
<div class="block">Return the z limit in meters. AR Objects that have smaller z value will not be visible on the
 screen.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The z limit in meters.</dd>
</dl>
</li>
</ul>
<a name="getBackPlaneStart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBackPlaneStart</h4>
<pre>public float getBackPlaneStart()</pre>
<div class="block">Return the z in meters at which the back plane starts.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The z in meters at which the back plane starts.</dd>
</dl>
</li>
</ul>
<a name="getItems--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItems</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/ar/ARRadarItem.html" title="class in com.here.android.mpa.ar">ARRadarItem</a>&gt; getItems()</pre>
<div class="block">Returns the list of radar items.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The list of radar items.</dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARRadarProperties.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/ARRadarItem.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/CompositeFragment.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/ARRadarProperties.html" target="_top">Frames</a></li>
<li><a href="ARRadarProperties.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
